Bug 196857 - lang/nhc98 fails to build with GCC 4.9 (core dump)
Summary: lang/nhc98 fails to build with GCC 4.9 (core dump)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-18 23:18 UTC by Gerald Pfeifer
Modified: 2017-07-26 18:06 UTC (History)
3 users (show)

See Also:
pgj: maintainer-feedback+


Attachments
nhc98.diff (2.00 KB, patch)
2017-05-01 09:25 UTC, Tobias Kortkamp
tobik: maintainer-approval? (haskell)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-01-18 23:18:20 UTC
This is important since it blocks the upgrade of the default version
of GCC from GCC 4.8 to GCC 4.9.  If you cannot fix it, please change
to USE_GCC=4.8 for the time being.

http://package23.nyi.freebsd.org/data/101i386-default-PR196712/2015-01-16_07h04m40s/logs/errors/nhc98-1.22_1.log

strip /wrkdirs/usr/ports/lang/nhc98/work/nhc98-1.22/lib/ix86-FreeBSD/MkProg /wrkdirs/usr/ports/lang/nhc98/work/nhc98-1.22/lib/ix86-FreeBSD/Older /wrkdirs/usr/ports/lang/nhc98/work/nhc98-1.22/lib/ix86-FreeBSD/MkConfig /wrkdirs/usr/ports/lang/nhc98/work/nhc98-1.22/lib/ix86-FreeBSD/runhs
sh /wrkdirs/usr/ports/lang/nhc98/work/nhc98-1.22/targets/ix86-FreeBSD/hmake3.config
Segmentation fault (core dumped)
Segmentation fault (core dumped)
Segmentation fault (core dumped)
Makefile:63: recipe for target 'config' failed
gmake[2]: *** [config] Error 139

Similarly on FreeBSD 9.3, cf.
http://package18.nyi.freebsd.org/data/93i386-default-PR196712/2015-01-18_16h
49m19s/logs/errors/nhc98-1.22_1.log
Comment 1 Bugzilla Automation freebsd_committer 2015-01-18 23:18:20 UTC
Auto-assigned to maintainer haskell@FreeBSD.org
Comment 2 Gabor Pali freebsd_committer 2015-01-19 18:50:37 UTC
Feel free to add USE_GCC=4.8 to the port's Makefile, do not be blocked just because of this.  I can it do for you, although I have some other things in the queue so it may take a couple more days.  Whichever works for you.
Comment 3 commit-hook freebsd_committer 2015-01-20 00:14:04 UTC
A commit references this bug:

Author: gerald
Date: Tue Jan 20 00:13:22 UTC 2015
New revision: 377491
URL: https://svnweb.freebsd.org/changeset/ports/377491

Log:
  This fails to properly build with GCC 4.9, so force GCC 4.8 for the
  time being.

  PR:		196857
  Approved by:	pgj (maintainer)

Changes:
  head/lang/nhc98/Makefile
Comment 4 Gerald Pfeifer freebsd_committer 2015-01-20 00:14:34 UTC
Thanks Gabor, this is what I did for now.  Appreciate you having a 
closer look later on as time permits to solve this for real.
Comment 5 Gerald Pfeifer freebsd_committer 2017-04-30 10:13:02 UTC
Hi Tobias, I noticed this one got stalled for a long while -- perhaps
giving a try with GCC 5 (via USE_GCC=yes) or GCC 6 (via USE_GCC=6+)
might be worthwhile?
Comment 6 Tobias Kortkamp freebsd_committer 2017-05-01 09:16:17 UTC
(In reply to Gerald Pfeifer from comment #5)
It builds fine with USE_GCC=yes or USE_GCC=6+.  There were a couple of
QA issues detected by Poudriere testport about orphaned pkg-plist
items though.

I also added --buildwith=gcc since I was concerned that the build
would pick up ghc when it happens to be installed on the system.  I
don't if this is really necessary though.

On another note: nhc98 seems to be dead.  The last commit to their
development repository was in 2011, 6 years ago, it supports 32-bit
systems only, and no other port depends on it.  Is their still a point
to this port?

Bugzilla seems to be bugged at the moment and I can't attach the diff,
so I've uploaded it here:
https://pkg.tobik.me/patches/nhc98.diff
Comment 7 Tobias Kortkamp freebsd_committer 2017-05-01 09:25:16 UTC
Created attachment 182206 [details]
nhc98.diff
Comment 8 Tobias Kortkamp freebsd_committer 2017-07-25 13:22:15 UTC
Since there were no objections to the suggested patch, I'll commit it with maintainer timeout.
Comment 9 commit-hook freebsd_committer 2017-07-25 14:41:08 UTC
A commit references this bug:

Author: tobik
Date: Tue Jul 25 14:40:21 UTC 2017
New revision: 446587
URL: https://svnweb.freebsd.org/changeset/ports/446587

Log:
  Allow building of lang/nhc98 with GCC >= 5

  PR:		196857
  Reported by:	gerald
  Approved by:	haskell (maintainer timeout, 2 months+)

Changes:
  head/lang/nhc98/Makefile
  head/lang/nhc98/pkg-plist